using ReactiveUI;
using ReactiveUI.Validation.Helpers;

namespace VeloeMinecraftLauncher.Models;
public class ServerPanelModel : ReactiveValidationObject
{
    private string _name;
    private string _status;
    private string _tip;
    private string _players;

    public string Name
    {
        get => _name;
        set => this.RaiseAndSetIfChanged(ref _name, value);
    }

    public string Status
    {
        get => _status;
        set => this.RaiseAndSetIfChanged(ref _status, value);
    }

    public string Tip
    {
        get => _tip;
        set => this.RaiseAndSetIfChanged(ref _tip, value);
    }

    public string Players
    {
        get => _players;
        set => this.RaiseAndSetIfChanged(ref _players, value);
    }
}

